Groups
Groups of users inside an organization.
6 endpoints · Plakar Control Plane v0.18 · Base URL, authentication and errors
List the groups
GET
Badge
/api/v1/account/organizations/{id}/groups
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s.
Response 200 OK application/json
-
created_atstring<date-time> -
idstring<uuid> -
member_countinteger -
namestring
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/account/organizations/{id}/groups' \
-H 'Authorization: Bearer <badge>'Response 200
[
{
"created_at": "2026-01-01T00:00:00Z",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"member_count": 0,
"name": "string"
}
]Create a group
POST
Badge
/api/v1/account/organizations/{id}/groups
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s.
Request body application/json required
-
namestring required
Response 200 OK application/json
-
created_atstring<date-time> -
idstring<uuid> -
member_countinteger -
namestring
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X POST 'https://pcp.example.com/api/v1/account/organizations/{id}/groups' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"name": "string"
}'Response 200
{
"created_at": "2026-01-01T00:00:00Z",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"member_count": 0,
"name": "string"
}Get a group
GET
Badge
/api/v1/account/organizations/{id}/groups/{group_id}
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s. -
group_idstring required
Response 200 OK application/json
-
created_atstring<date-time> -
idstring<uuid> -
membersarray[object]-
emailstring -
is_serviceboolean -
namestring -
user_idstring<uuid>
-
-
namestring
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/account/organizations/{id}/groups/{group_id}' \
-H 'Authorization: Bearer <badge>'Response 200
{
"created_at": "2026-01-01T00:00:00Z",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"members": [
{
"email": "string",
"is_service": true,
"name": "string",
"user_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
}
],
"name": "string"
}Delete a group
DELETE
Badge
/api/v1/account/organizations/{id}/groups/{group_id}
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s. -
group_idstring required
Response 200 OK
No response body.
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X DELETE 'https://pcp.example.com/api/v1/account/organizations/{id}/groups/{group_id}' \
-H 'Authorization: Bearer <badge>'Add a member to a group
POST
Badge
/api/v1/account/organizations/{id}/groups/{group_id}/members
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s. -
group_idstring required
Request body application/json required
-
user_idstring<uuid>
Response 200 OK application/json
-
created_atstring<date-time> -
idstring<uuid> -
membersarray[object]-
emailstring -
is_serviceboolean -
namestring -
user_idstring<uuid>
-
-
namestring
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X POST 'https://pcp.example.com/api/v1/account/organizations/{id}/groups/{group_id}/members' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"user_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
}'Response 200
{
"created_at": "2026-01-01T00:00:00Z",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"members": [
{
"email": "string",
"is_service": true,
"name": "string",
"user_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
}
],
"name": "string"
}Remove a member from a group
DELETE
Badge
/api/v1/account/organizations/{id}/groups/{group_id}/members/{user_id}
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s. -
group_idstring required -
user_idstring required
Response 200 OK application/json
-
created_atstring<date-time> -
idstring<uuid> -
membersarray[object]-
emailstring -
is_serviceboolean -
namestring -
user_idstring<uuid>
-
-
namestring
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X DELETE 'https://pcp.example.com/api/v1/account/organizations/{id}/groups/{group_id}/members/{user_id}' \
-H 'Authorization: Bearer <badge>'Response 200
{
"created_at": "2026-01-01T00:00:00Z",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"members": [
{
"email": "string",
"is_service": true,
"name": "string",
"user_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
}
],
"name": "string"
}